%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name propel_generator
%define channel pear.phpdb.org

Summary:        An ORM framework for PHP5 - generator component
Name:           php-pear-%{pear_name}
Version:        1.3.0
Release:        0.2.rc1%{?dist}

License:        LGPLv3+
Group:          Development/Tools
Source0:        http://pear.phpdb.org/get/%{pear_name}-%{version}RC1.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:            http://propel.phpdb.org/trac/

BuildArch:      noarch

BuildRequires:  php-cli >= 5.2.0
BuildRequires:  php-pear 
BuildRequires:  php-channel(pear.phpdb.org)
Requires: php-cli >= 5.2.0
Requires: php-pear
Requires: php-pear-phing >= 2.3.0
Requires: php-channel(pear.phpdb.org)
Requires: php-dom
Requires: php-xsl
Requires: php-xml
Requires: php-pdo

Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:   php-pear(%{channel}/%{pear_name}) = %{version}

%description
Propel is an Object Relational Mapping (ORM) framework for PHP5.
It allows you to access your database using a set of objects,
providing a simple API for storing and retrieving data.

Propel allows you, the web application developer, to work with
databases in the same way you work with other classes and objects
in PHP.

This package contains the generator component of Propel.


%prep
%setup -qc
%{__mv} package.xml %{pear_name}-%{version}RC1/%{pear_name}.xml


%build


%install
%{__rm} -rf $RPM_BUILD_ROOT

cd %{pear_name}-%{version}RC1
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

%{__rm} -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*
%{__mkdir} -p $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
  %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only \
    %{channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%dir %{pear_phpdir}/propel
%{_bindir}/propel-gen
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/propel/phing
%{pear_phpdir}/propel/engine
%{pear_xmldir}/%{pear_name}.xml


%changelog
* Fri Jul 11 2008 Alexander Kahl <akahl@iconmobile.com> - 1.3.0-0.2.rc1
- updated summary
- dropped Obsoletes
- untabified

* Sun Jun  1 2008 Alexander Kahl <akahl@iconmobile.com> - 1.3.0-0.1.rc1
- update to 1.3.0-rc1
- ownership of %%{pear_phpdir}/propel now claimed by both -runtime and
  -generator packages
- dependencies update

* Mon Mar 17 2008 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-8
- added obsoletes for the old package name
- inserted the pear name macro into the package name

* Fri Feb 15 2008 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-7
- package split-off

* Thu Oct 30 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-6
- adapted fedora standard buildroot path

* Thu Oct 18 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-5
- made runtime subpackage the main package instead
- fixed package ownerships
- fixed template script execution permissions

* Thu Oct 11 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-4
- merged in all metapackages
- consequently adapted macros for all shell operations
- s/%%{buildroot}/$RPM_BUILD_ROOT/

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-3
- name change (lowercase)

* Tue Aug 21 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-2
- Name change.

* Fri May 25 2007 Alexander Kahl <akahl@iconmobile.com> - 1.2.1-1
- Removed sources

* Wed May 23 2007 Alexander Kahl <akahl@iconmobile.com> 1.1.0-0
- Initial RPM release.
